varying vec4 ambientGlobal, coordinates;
varying vec3 normal;

void main()
{
	normal = normalize(gl_NormalMatrix * gl_Normal);
	
	coordinates = gl_ModelViewMatrix*gl_Vertex;
	ambientGlobal = gl_LightModel.ambient;
	ambientGlobal.a = 1.0;
	ambientGlobal *= gl_FrontMaterial.ambient;
	
	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_Position = ftransform();
}
